#include "Include.h"

#include "delay.h"
#include "IoControl.h"
#include "Timer.h"
#include "Usart.h"
#include "spi1.h"
#include "w5500.h"
#include "socket.h"
#include "WatchDog.h"

#include "user_queue.h"

uint16_t  usRec_Length;        //ݳ    
uint8_t  ucRec_Buffer[1024*10]={0};  //ݻ

extern uint16_t Usart1_ucRx_length;//1ճ
extern uint8_t usart1_rx_done;//1ɱ־
extern uint8_t Usart1_Rx_Buf[USART1_RX_BUFFER_SIZE];//1





int main(void)
{
	parameters_init();
	led_init();
	Tim2Init();
	NVIC_PriorityGroupConfig(NVIC_PriorityGroup_2);
	ble_usart_init(BLE_USART_BAUDRATE);
	
  spi1.initialize();
  w5500.initialize();
	
	InitQueue(&queue);
	
	WatchDogGpioInit();
  WatchDogEnable();
	while(1)
	{
    switch(getSn_SR(0))                           //ȡsocket0״̬
		{
			case (SOCK_INIT):                  //TCPģʽ
			{
				listen(0);				          //TCPģʽ¼ͻ   
			}break;
													
			case (SOCK_ESTABLISHED):                 //
			{
				if(getSn_IR(0) & Sn_IR_CON)
				{
					setSn_IR(0, Sn_IR_CON);
				}
				usRec_Length = getSn_RX_RSR(0);        /*ѽݳ*/
				if(usRec_Length>0)
				{				
					recv(0, ucRec_Buffer, usRec_Length); 
					
					net_received_data_analysis();					
//					send(0, ucRec_Buffer, usRec_Length);	  //շ																																				 
				}
			}break;
							 
			case (SOCK_CLOSE_WAIT):
			{
				disconnect(0);                            /*Ͽ*/   
			}break;
															
			case (SOCK_CLOSED):
			{
				socket(0,Sn_MR_TCP,60000,Sn_MR_ND);       /*socket060000˿*/   
			}break;	
			default:
				break;
		} 
		if((IINCHIP_READ(PHYCFGR)& LINK)==0)                 
		{
			 disconnect(0);  
			 socket(0,Sn_MR_TCP,60000,Sn_MR_ND);        /*socket060000˿*/
			 listen(0);	                                /*TCPģʽ¼ͻ*/
		}  		
		
		if(1 == usart1_rx_done)    //ڽյݣڷͻ
		{
			usart1_rx_done = 0;
			send(0, Usart1_Rx_Buf, Usart1_ucRx_length);
			Usart1_ucRx_length = 0;
		}
		
		FeedDog();	
	}
}



